Bug 235490 - Show Nearest GC Root on sub node in References table does nothing
Show Nearest GC Root on sub node in References table does nothing
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.4
All All
: P3 (vote)
: 8.0
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 10:23 UTC by Jiri Skrivanek
Modified: 2013-09-09 07:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2013-09-04 10:23:26 UTC
When you call "Show Nearest GC Root" action on sub node in References table it does nothing. To reproduce:

- open heap dump
- go to Classes view
- double-click some class to see Instances
- right-click on some instance in Instances table and choose "Show Nearest GC Root" popup item
- if it is successful it should select GC root in References table
- right-click sub node on expanded path and choose "Show Nearest GC Root" popup item
- it should select the same GC root as before but it does nothing. Also if you collapse this node and call "Show Nearest GC Root" it should expand it and select GC root.

Product Version: NetBeans IDE Dev (Build 201309030001)
Java: 1.7.0_40; Java HotSpot(TM) 64-Bit Server VM 24.0-b55
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b40
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)
Comment 1 Tomas Hurka 2013-09-05 14:16:59 UTC
Fixed in profiler-main

changeset:   263071:6984f03a5da3
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Sep 05 15:28:03 2013 +0200
summary:     bugfix #235490, check that selected node was not changed during GC root computation, was fixed
Comment 2 Quality Engineering 2013-09-07 03:42:38 UTC
Integrated into 'main-silver', will be available in build *201309070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/6984f03a5da3
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #235490, check that selected node was not changed during GC root computation, was fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo